import bpy
from bpy.props import StringProperty


class AISTUDIO_AddonPreferences(bpy.types.AddonPreferences):
    bl_idname = __package__

    api_key: StringProperty(
        name="Api Key", description="Your 3D AI Studio API key", default=""
    )  # type: ignore

    def draw(self, context):
        layout = self.layout

        col = layout.column()

        col.prop(self, "api_key")
